/*
 * KFailure.h
 *
 *  Created on: Mar 30, 2010
 *      Author: dbjorge
 *
 * Copyright 2010 Worcester Polytechnic Institute
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef KFAILURE_H_
#define KFAILURE_H_

/*
 *
 */
#include "RolloutMonteCarlo.h"

class KFailure: public RolloutMonteCarlo {
public:
	KFailure(unsigned int k, double effectiveness);
	virtual ~KFailure();

	virtual action_t select(GameState& startState);
	virtual void update(GameState& state, double value);
	virtual action_t currentBestMove();
	virtual std::string toString() const;
private:
	unsigned int mK;
};

#endif /* KFAILURE_H_ */
