/*
 * RandomMonteCarlo.h
 *
 *  Created on: Apr 15, 2010
 *      Author: dbjorge
 *
 * Copyright 2010 Worcester Polytechnic Institute
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef RANDOMMONTECARLO_H_
#define RANDOMMONTECARLO_H_

/*
 *
 */
#include "RolloutMonteCarlo.h"

class RandomMonteCarlo: public RolloutMonteCarlo {
public:
	RandomMonteCarlo(double simulationEffectiveness, double propogationConstant);
	virtual ~RandomMonteCarlo();

	virtual action_t select(GameState& startState);

	virtual std::string toString() const;
};

#endif /* RANDOMMONTECARLO_H_ */
