/*
 * RandomSearchAlg.h
 *
 *  Created on: 2010.03.26.
 *      Author: jnschaeffer
 *
 * Copyright 2010 Worcester Polytechnic Institute
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef RANDOMSEARCHALG_H_
#define RANDOMSEARCHALG_H_

#include "../search/SearchAlgorithm.h"
#include "../gametree/Action.h"
#include "../gametree/RandomGenerator.h"

class RandomSearchAlg: public SearchAlgorithm {
public:
	RandomSearchAlg();

	void iterate();
	action_t currentBestMove();
	std::string toString() const;
	void reset();

	virtual ~RandomSearchAlg();

private:
	RandomGenerator rng;
};

#endif /* RANDOMSEARCHALG_H_ */
