#!/usr/bin/python

# Usage:
# python scriptname.py absolute_results_dir absolute_consolidate_script

from __future__ import with_statement
import sys, string, os, shutil
import subm_vars

SEP = ','

if __name__=='__main__':
    #scriptname = sys.argv[0]
    resultDir = sys.argv[1]
    consolidateScript = sys.argv[2]

    runDirs = [f for f in os.listdir(resultDir) if os.path.isdir(resultDir+'/'+f)]
    runDirs.sort()
    
    #Grab alg names from first run dir
    algs = []

    for f in os.listdir(resultDir+'/'+runDirs[0]):
        dotIndex = f.rfind('.')
        if dotIndex != -1 and f[dotIndex+1:] == 'dat':
            algs += [f[:dotIndex]]
    algs.sort()

    #Grab number of attributes from first run of first alg
    with open(resultDir+'/'+runDirs[0]+'/'+algs[0]+'.dat', "r") as firstAlgFile:
        numAttrs = firstAlgFile.readline().count(SEP)+1

    #Print subm file
    print "Universe = vanilla"
    print "should_transfer_files = NO"
    print "Error = consolidate_err.txt"
    print "Output = consolidate_out.txt"
    print "Log = consolidate_log.txt"

    print "Requirements = "+subm_vars.CONDOR_SUBM_REQS

    print "Executable = "+consolidateScript
    print "Initialdir = "+resultDir
    
    for alg in algs:
        print "Arguments = "+resultDir+" "+alg+' '+str(numAttrs)
        print "Queue"
