#!/bin/bash

PROGNAME=$(basename $0)
BASEDIR=$(dirname $0)

function error_exit
{

#----------------------------------------------------------------
#Function for exit due to fatal program error
#Accepts 1 argument:
#string containing descriptive error message
#----------------------------------------------------------------

    if [ "$?" -ne "0" ] ; then
	echo "${PROGNAME}: ${1:-"Unknown Error"}" 1>&2
	exit 1
    fi
}

source $BASEDIR/gombavars.sh

function cluster_run
{
  ssh $CLUSTER_FULLHOST "ssh $CLUSTER_USER@$CLUSTER_HOSTNAME \"cd $CLUSTER_PATH && $1\""
}

function cluster_submit
{
SUBM_RESULTS_FULL=`cluster_run "condor_submit $1"`
echo $SUBM_RESULTS_FULL
error_exit "Failed to submit condor run"
SUBM_CLUSTER=`echo "$SUBM_RESULTS_FULL" | grep "job(s) submitted to cluster" | awk '{split(\$6,a,"."); print a[1]}'`
echo "----- Querying for cluster '$SUBM_CLUSTER' to complete -----"
$BASEDIR/querygomba.sh "$SUBM_CLUSTER" "$2"
}